# Privacy Policy

_This policy is effective as of 13 July 2021._

Noice is open-source software. It is provided at no cost and is intended for use
as is.

This page informs users of policies regarding the collection, use and disclosure
of information when using Noice. If you choose to use Noice, then you agree to
the data collection and its use as ascribed in this policy.

## Data collection and use

Noice collects app usage and behaviour data. We use the collected data to
substantiate design decisions and analyse and diagnose faulty app behaviour.
Please note that Noice does not collect data without first obtaining user
consent.

### Usage data

During app usage, Noice collects information regarding the user actions called
usage data. Usage data may include information such as the time users spend
inside the app and other such metrics. However, we do not collect Advertising
IDs and SSAIDs
([`Settings.Secure.ANDROID_ID`](https://developer.android.com/reference/android/provider/Settings.Secure#ANDROID_ID)).

### Behaviour data

In a case of an unexpected error in the app, Noice collects data from your
device called behaviour data. Behaviour data may include information such as
your device Internet Protocol (IP) address, device name, operating system
version, the configuration of the app, the time and date of its use, debug
messages generated by the app, and other statistics.

## Third-party service providers

Noice employs the following third-party services. These third parties have
access to the collected data for performing the tasks assigned to them on our
behalf. However, they are obligated not to disclose or use the information for
any other purposes.

1. **Firebase [Analytics](https://firebase.google.com/products/analytics) and
   [Crashlytics](https://firebase.google.com/products/crashlytics)**: Noice uses
   these Firebase services to collect app usage and behaviour data. For details,
   see "[Privacy and Security in
   Firebase](https://firebase.google.com/support/privacy/)".
2. **[Goat Counter](https://www.goatcounter.com/)**: Noice uses Goat Counter to
   collect visitor data from its website. See "[how Goat Counter stores your
   data](https://www.goatcounter.com/privacy)".
3. **[Google Play In-App
   Billing](https://developer.android.com/google/play/billing)**: Noice uses it
   to accept donations from the users who downloaded Noice using [Play
   Store](https://play.google.com/store/apps/details?id=com.github.ashutoshgngwr.noice).
   See "[Google Play Payments
   Policy](https://support.google.com/googleplay/android-developer/answer/9858738)"
4. **[Open Collective](https://opencollective.com/)**: Noice uses it to accept
   donations from the users who downloaded Noice using
   [F-Droid](https://f-droid.org/packages/com.github.ashutoshgngwr.noice/). See
   "[Open Collective's Privacy
   Policy](https://opencollective.com/privacypolicy)".

## Security

We value your trust in us to keep the collected data safe. Thus, we are striving
to use commercially acceptable means of protecting it. Since no method of
transmission over the Internet or method of electronic storage is completely
secure and reliable, we cannot guarantee its absolute security.

## Change to this policy

We may update this policy on occasion. Since we do not ask for your contact
information, we have no way to notify you of changes. Thus you are advised to
review this page periodically for changes.

If you have any questions or concerns regarding this policy, contact me at
ashutoshgngwr[at]gmail.com.
